%define sysconfdir    /etc

Name: openvpn-admin
Summary: Administrator tool for OpenVPN
Version: 1.9.2
Release: 1
URL: http://www.expl0it.de/ovpnadmin/
License: LGPL
Vendor: expl0it
Packager: Everaldo Canuto <everaldo@bananacrew.com>
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
BuildRequires: mono-core
BuildRequires: gtk-sharp2 >= 2.3.91
BuildRequires: gettext
Requires: mono-core
Requires: gtk-sharp2 >= 2.3.91
Requires: gettext
Requires: openvpn
Summary: OpenVPN-Admin is a multiplatform GUI for OpenVPN.

%description
OpenVPN-Admin is a GUI for OpenVPN, programmed in Mono. Packages are available for Linux and Windows and Nokia 770 Internet Tablet. OpenVPN-Admin should work on every platform where Mono runs. Included in OpenVPN-Admin is a certificate wizard and a certificate management. 

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --sysconfdir=%{sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT

make sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
    prefix=$RPM_BUILD_ROOT%{_prefix} \
    PAM_PREFIX=$RPM_BUILD_ROOT%{sysconfdir} \
    install

desktop-file-install --vendor %{name} --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Application \
  --add-category System \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
ln -s consolehelper %{_bindir}/%{name}

%postun
rm -f %{_bindir}/%{name}

%files
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_sbindir}/*
%{_libdir}/*
%config %{sysconfdir}/pam.d/*
%config %{sysconfdir}/security/console.apps/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/locale/*

%changelog
* Fri Nov 11 2005 Reiner Jung <reiner@bananacrew.com>
- Minor extensions in spec file

* Sat Oct 19 2005 Everaldo Canuto <everaldo@everaldo.simios.org>
- initial packaging
